
QGIS Application - Bug report #9939

QGIS 2.2 on Fedora 20 i686 locks up when trying to add vector data.

2014-03-28 08:42 PM - Timothy Rogers

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.2.0 Regression?: No

Operating System: Fedora Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 18443

Description

When adding vector data (shapefiles) to a map, QGIS locks up, and I have to kill the task.  If I use the browser window and drag the data

in, it locks up.  If I click the add vector data button, the pop-up window appears.  If I click the browse button there, it locks up.

History

#1 - 2014-03-31 04:37 AM - Matthias Kuhn

- Status changed from Open to Feedback

Can you create a dump.

E.g. install the qgis-debuginfo package, start qgis from a terminal, make it freeze, then press Ctrl+\\ in the terminal and paste the output you receive

somewhere.

#2 - 2014-04-02 04:15 PM - Timothy Rogers

~]$ qgis

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

^\\QGIS died on signal 3[New LWP 28381]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib64/libthread_db.so.1".

0x0000003f22cbc5e9 in waitpid () from /lib64/libc.so.6

Traceback (most recent call last):

  File "/usr/share/gdb/auto-load/usr/lib64/libgobject-2.0.so.0.3800.2-gdb.py", line 9, in <module>

    from gobject import register

  File "/usr/share/glib-2.0/gdb/gobject.py", line 3, in <module>

    import gdb.backtrace

ImportError: No module named backtrace

Traceback (most recent call last):

  File "/usr/share/gdb/auto-load/usr/lib64/libgobject-2.0.so.0.3800.2-gdb.py", line 9, in <module>

    from gobject import register

  File "/usr/share/glib-2.0/gdb/gobject.py", line 3, in <module>

    import gdb.backtrace

ImportError: No module named backtrace

[Current thread is 1 (Thread 0x7f8a192448c0 (LWP 28373))]

#0  0x0000003f22cbc5e9 in waitpid () from /lib64/libc.so.6

No symbol table info available.

#1  0x00000000004ea487 in qgisCrash (signal=<optimized out>) at /usr/src/debug/qgis-2.2.0/src/app/main.cpp:291

        status = 63
        pidstr = "--pid=28373\\000\\212\\177\\000\\000\\320ʘ\\f\\377\\177\\000\\000\\020\\036\\217\\350\\352\

\\350", <incomplete sequence \\364>

        gdbpid = <optimized out>

        exename =

"/usr/bin/qgis\\000\\000\\000\\001\\000\\000\\000\\377\\177\\000\\000\\030\\220&\\031\\212\\177\\000\\000\\000˘\\f\\377\\177\\000\\000\\001\\000\\000\\000\\000\\000\\000\\000\\270L\\246\\301\\061\\000\\000\\000\\062Ѐ\\"?\\000\\000\\000\\001\\000\\000\\000\\000\\000\\000\\000\\300\\231&\\031\\212\\177\\000\\000\\060˘\\f\\377\\177\\000\\000\\200\\016z\\370\\211\\177\\000\\000\\250L\\246\\301\\061\\000\\000\\000\\062Ѐ\\"?\\000\\000\\000\\001\\000\\000\\000\\000\\000\\000\\000\\000\\240&\\031\\212\\177\\000\\000`˘\\f\\377\\177\\000\\000\\020\\036\\357\\353\\352\
\\350\\364\\340\\034\\345\\370\\211\\177\\000\\000\\062Ѐ\\"?\\000\\000\\000\\001\\000\\000\\000\\000\\000\\000\\000Ф&\\031\\212\\177\\000\\000\\220˘\\f\\377\\177\\000\\000\\020\\036\\017\\353\\352\
\\350\\364\\320\\034\\345\\370\\211\\177\\000\\000\\062Ѐ\\"?\\000\\000\\000\\001"...
        len = <optimized out>
#2  <signal handler called>
No symbol table info available.
#3  0x0000003f23409295 in pthread_join () from /lib64/libpthread.so.0
No symbol table info available.
#4  0x00000035d7059ac7 in my_thread_global_init () from /usr/lib64/mysql/libmysqlclient.so.18
No symbol table info available.
#5  0x00000035d705762f in my_init () from /usr/lib64/mysql/libmysqlclient.so.18
No symbol table info available.
#6  0x0000003f2280f2ea in call_init.part.0 () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#7  0x0000003f2280f3d3 in _dl_init_internal () from /lib64/ld-linux-x86-64.so.2
No symbol table info availa

\\000\\000\\000\\000\\000\\000\\270L\\246\\301\\061\\000\\000\\000\\062Ѐ\\"?\\000\\000\\000\\001\\000\\000\\000\\000\\000\\000\\000\\300\\231&\\031\\212\\177\\000\\000\\060˘\\f\\377\\177\\000\\000\\200\\016z\\370\\211\\177\\000\\000\\250L\\246\\301\\061\\000\\000\\000\\062Ѐ\\"?\\000\\000\\000\\001\\000\\000\\000\\000\\000\\000\\000\\000\\240&\\031\\212\\177\\000\\000`˘\\f\\377\\177\\000\\000\\020\\036\\357\\353\\352\
\\350\\364\\340\\034\\345\\370\\211\\177\\000\\000\\062Ѐ\\"?\\000\\000\\000\\001\\000\\000\\000\\000\\000\\000\\000Ф&\\031\\212\\177\\000\\000\\220˘\\f\\377\\177\\000\\000\\020\\036\\017\\353\\352\
\\350\\364\\320\\034\\345\\370\\211\\177\\000\\000\\062Ѐ\\"?\\000\\000\\000\\001"...
        len = <optimized out>
#2  <signal handler called>
No symbol table info available.
#3  0x0000003f23409295 in pthread_join () from /lib64/libpthread.so.0
No symbol table info available.
#4  0x00000035d7059ac7 in my_thread_global_init () from /usr/lib64/mysql/libmysqlclient.so.18
No symbol table info available.
#5  0x00000035d705762f in my_init () from /usr/lib64/mysql/libmysqlclient.so.18
No symbol table info available.
#6  0x0000003f2280f2ea in call_init.part.0 () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#7  0x0000003f2280f3d3 in _dl_init_internal () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#8  0x0000003f228139b4 in dl_open_worker () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#9  0x0000003f2280f174 in _dl_catch_error () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#10 0x0000003f2281309b in _dl_open () from /lib64/ld-linux-x86-6

\\031\\212\\177\\000\\000\\060˘\\f\\377\\177\\000\\000\\200\\016z\\370\\211\\177\\000\\000\\250L\\246\\301\\061\\000\\000\\000\\062Ѐ\\"?\\000\\000\\000\\001\\000\\000\\000\\000\\000\\000\\000\\000\\240&\\031\\212\\177\\000\\000`˘\\f\\377\\177\\000\\000\\020\\036\\357\\353\\352\
\\350\\364\\340\\034\\345\\370\\211\\177\\000\\000\\062Ѐ\\"?\\000\\000\\000\\001\\000\\000\\000\\000\\000\\000\\000Ф&\\031\\212\\177\\000\\000\\220˘\\f\\377\\177\\000\\000\\020\\036\\017\\353\\352\
\\350\\364\\320\\034\\345\\370\\211\\177\\000\\000\\062Ѐ\\"?\\000\\000\\000\\001"...
        len = <optimized out>
#2  <signal handler called>
No symbol table info available.
#3  0x0000003f23409295 in pthread_join () from /lib64/libpthread.so.0
No symbol table info available.
#4  0x00000035d7059ac7 in my_thread_global_init () from /usr/lib64/mysql/libmysqlclient.so.18
No symbol table info available.
#5  0x00000035d705762f in my_init () from /usr/lib64/mysql/libmysqlclient.so.18
No symbol table info available.
#6  0x0000003f2280f2ea in call_init.part.0 () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#7  0x0000003f2280f3d3 in _dl_init_internal () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#8  0x0000003f228139b4 in dl_open_worker () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#9  0x0000003f2280f174 in _dl_catch_error () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#10 0x0000003f2281309b in _dl_open () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#11 0x0000003f2300102b in dlopen_doit () from /lib64/libdl.so.2
No symbol table info available.
#12 0x0000003f2280f174 in _dl_catch_error () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#13 0x0000003f2300162d in _dlerror_run () fr

00\\000\\001\\000\\000\\000\\000\\000\\000\\000\\000\\240&\\031\\212\\177\\000\\000`˘\\f\\377\\177\\000\\000\\020\\036\\357\\353\\352\

\\350\\364\\340\\034\\345\\370\\211\\177\\000\\000\\062Ѐ\\"?\\000\\000\\000\\001\\000\\000\\000\\000\\000\\000\\000Ф&\\031\\212\\177\\000\\000\\220˘\\f\\377\\177\\000\\000\\020\\036\\017\\353\\352\
\\350\\364\\320\\034\\345\\370\\211\\177\\000\\000\\062Ѐ\\"?\\000\\000\\000\\001"...
        len = <optimized out>
#2  <signal handler called>
No symbol table info available.
#3  0x0000003f23409295 in pthread_join () from /lib64/libpthread.so.0
No symbol table info available.
#4  0x00000035d7059ac7 in my_thread_global_init () from /usr/lib64/mysql/libmysqlclient.so.18
No symbol table info available.
#5  0x00000035d705762f in my_init () from /usr/lib64/mysql/libmysqlclient.so.18
No symbol table info available.
#6  0x0000003f2280f2ea in call_init.part.0 () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#7  0x0000003f2280f3d3 in _dl_init_internal () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#8  0x0000003f228139b4 in dl_open_worker () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#9  0x0000003f2280f174 in _dl_catch_error () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#10 0x0000003f2281309b in _dl_open () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#11 0x0000003f2300102b in dlopen_doit () from /lib64/libdl.so.2
No symbol table info available.
#12 0x0000003f2280f174 in _dl_catch_error () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#13 0x0000003f2300162d in _dlerror_run () from /lib64/libdl.so.2
No symbol table info available.
#14 0x0000003f230010c1 in dlopen@@GLIBC_2.2.5 () from /lib64/libdl.so.2
No symbol table info available.
#15 0x0000003f28c018c9 in g_module_open () from /lib64/libgmodule-2.0.so.0
No symbol table info available.
#16 0x000000363885bbbb in g_io_module_load_module () from /lib64/libgio-2.0.so.0
No symbol table info available.
#17 0x0000003f26434921 in g_type_module_use () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#18 0x000000363885c3f8 in g_io_modules_scan_all_in_directory_with_scope (

0\\220˘\\f\\377\\177\\000\\000\\020\\036\\017\\353\\352\

\\350\\364\\320\\034\\345\\370\\211\\177\\000\\000\\062Ѐ\\"?\\000\\000\\000\\001"...

        len = <optimized out>

#2  <signal handler called>

No symbol table info available.

#3  0x0000003f23409295 in pthread_join () from /lib64/libpthread.so.0

No symbol table info available.

#4  0x00000035d7059ac7 in my_thread_global_init () from /usr/lib64/mysql/libmysqlclient.so.18

No symbol table info available.

#5  0x00000035d705762f in my_init () from /usr/lib64/mysql/libmysqlclient.so.18

No symbol table info available.

#6  0x0000003f2280f2ea in call_init.part.0 () from /lib64/ld-linux-x86-64.so.2

No symbol table info available.

#7  0x0000003f2280f3d3 in _dl_init_internal () from /lib64/ld-linux-x86-64.so.2

No symbol table info available.

#8  0x0000003f228139b4 in dl_open_worker () from /lib64/ld-linux-x86-64.so.2

No symbol table info available.

#9  0x0000003f2280f174 in _dl_catch_error () from /lib64/ld-linux-x86-64.so.2

No symbol table info available.

#10 0x0000003f2281309b in _dl_open () from /lib64/ld-linux-x86-64.so.2

No symbol table info available.

#11 0x0000003f2300102b in dlopen_doit () from /lib64/libdl.so.2

No symbol table info available.

#12 0x0000003f2280f174 in _dl_catch_error () from /lib64/ld-linux-x86-64.so.2

No symbol table info available.

#13 0x0000003f2300162d in _dlerror_run () from /lib64/libdl.so.2

No symbol table info available.

#14 0x0000003f230010c1 in dlopen@@GLIBC_2.2.5 () from /lib64/libdl.so.2

No symbol table info available.

#15 0x0000003f28c018c9 in g_module_open () from /lib64/libgmodule-2.0.so.0

No symbol table info available.

#16 0x000000363885bbbb in g_io_module_load_module () from /lib64/libgio-2.0.so.0

No symbol table info available.

#17 0x0000003f26434921 in g_type_module_use () from /lib64/libgobject-2.0.so.0

No symbol table info available.

#18 0x000000363885c3f8 in g_io_modules_scan_all_in_directory_with_scope () from /lib64/libgio-2.0.so.0

No symbol table info available.

#19 0x000000363885c73c in _g_io_modules_ensure_loaded () from /lib64/libgio-2.0.so.0

No symbol table info available.

#20 0x000000363885cd52 in _g_io_module_get_default () from /lib64/libgio-2.0.so.0

No symbol table info available.

#21 0x000000363884973e in g_file_new_for_path () from /lib64/libgio-2.0.so.0

No symbol table info available.

#22 0x00007f8a10a10b7d in gtk_recent_manager_set_property () from /lib64/libgtk-x11-2.0.so.0
No symbol table info available.

#23 0x0000003f26415a09 in g_object_new_internal () from /lib64/libgobject-2.0.so.0

No symbol table info available.

#24 0x0000003f2641745d in g_object_newv () from /lib64/libgobject-2.0.so.0

No symbol table info available.

#25 0x0000003f26417c24 in g_object_new () from /lib64/libgobject-2.0.so.0

No symbol table info available.

#26 0x00007f8a10a10909 in gtk_recent_manager_get_default () from /lib64/libgtk-x11-2.0.so.0

No symbol table info available.

#27 0x00007f8a1094e724 in _gtk_file_chooser_default_init () from /lib64/libgtk-x11-2.0.so.0

No symbol table info available.

#28 0x0000003f2643168b in g_type_create_instance () from /lib64/libgobject-2.0.so.0

No symbol table info available.

#29 0x0000003f26415158 in g_object_constructor () from /lib64/libgobject-2.0.so.0

No symbol table info available.

#30 0x00007f8a1095a188 in gtk_file_chooser_default_constructor () from /lib64/libgtk-x11-2.0.so.0

No symbol table info available.

#31 0x0000003f26415544 in g_object_new_internal () from /lib64/libgobject-2.0.so.0

No symbol table info available.

#32 0x0000003f2641745d in g_object_newv () from /lib64/libgobject-2.0.so.0

No symbol table info available.

#33 0x0000003f26417c24 in g_object_new () from /lib64/libgobject-2.0.so.0

No symbol table info available.

#34 0x00007f8a10960a92 in gtk_file_chooser_widget_constructor () from /lib64/libgtk-x11-2.0.so.0

No symbol table info available.

#35 0x0000003f26415544 in g_object_new_internal () from /lib64/libgobject-2.0.so.0

No symbol table info available.

#36 0x0000003f2641745d in g_object_newv () from /lib64/libgobject-2.0.so.0

No symbol table info available.

#37 0x0000003f26417c24 in g_object_new () from /lib64/libgobject-2.0.so.0

No symbol table info available.

#38 0x00007f8a1095c171 in gtk_file_chooser_dialog_constructor () from /lib64/libgtk-x11-2.0.so.0

No symbol table info available.

#39 0x0000003f26415544 in g_object_new_internal () from /lib64/libgobject-2.0.so.0

No symbol table info available.

#40 0x0000003f26417814 in g_object_new_valist () from /lib64/libgobject-2.0.so.0

No symbol table info available.

#41 0x0000003f26417c11 in g_object_new () from /lib64/libgobject-2.0.so.0

No symbol table info available.

#42 0x00007f8a1095c2cd in gtk_file_chooser_dialog_new_valist.isra.3 () from /lib64/libgtk-x11-2.0.so.0

No symbol table info available.

#43 0x00007f8a1095c40a in gtk_file_chooser_dialog_new () from /lib64/libgtk-x11-2.0.so.0

No symbol table info available.

#44 0x0000003687760217 in QGtkStylePrivate::openFilenames(QWidget*, QString const&, QString const&, QString const&, QString*,

QFlags<QFileDialog::Option>) () from /lib64/libQtGui.so.4

No symbol table info available.

#45 0x00000036878a24a2 in QFileDialog::getOpenFileNames(QWidget*, QString const&, QString const&, QString const&, QString*,

QFlags<QFileDialog::Option>) () from /lib64/libQtGui.so.4

No symbol table info available.

#46 0x000000389dfe4a30 in QgisGui::openFilesRememberingFilter (filterName=..., filters=..., selectedFiles=..., enc=..., title=...,

cancelAll=cancelAll@entry=false) at /usr/src/debug/qgis-2.2.0/src/gui/qgisgui.cpp:41

        settings = <incomplete type>

        lastUsedFilter = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11354}, alloc = 0, size = 0, data = 0xd2f65a, clean =
0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 325}, alloc = 0,

size = 0, data = 0x3f432ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, d = 0x44dddf0, static codecForCStrings = 0x0}

        lastUsedDir = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11354}, alloc = 0, size = 0, data = 0xd2f65a, clean = 0,

simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 325}, alloc = 0, size

= 0, data = 0x3f432ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array

= {0}}, d = 0x44de170, static codecForCStrings = 0x0}

#47 0x0000000000793b15 in QgsOpenVectorLayerDialog::openFile (this=this@entry=0x1385a50) at

/usr/src/debug/qgis-2.2.0/src/app/ogr/qgsopenvectorlayerdialog.cpp:108

        selectedFiles = {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value = 6507}, alloc = 0, begin = 0, end = 0, sharable = 1, array =

{0x0}}, d = 0xd2d860}, d = 0xd2d860}}, <No data fields>}

        enc = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11354}, alloc = 0, size = 0, data = 0xd2f65a, clean = 0,

simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 325}, alloc = 0, size

= 0, data = 0x3f432ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array

= {0}}, d = 0x45be5a0, static codecForCStrings = 0x0}

        title = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11354}, alloc = 0, size = 0, data = 0xd2f65a, clean = 0,

simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 325}, alloc = 0, size

= 0, data = 0x3f432ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array

= {0}}, d = 0x4ae8b10, static codecForCStrings = 0x0}

#48 0x0000000000795650 in QgsOpenVectorLayerDialog::on_buttonSelectSrc_clicked (this=0x1385a50) at

/usr/src/debug/qgis-2.2.0/src/app/ogr/qgsopenvectorlayerdialog.cpp:274

No locals.

#49 0x00000000007ef65d in QgsOpenVectorLayerDialog::qt_static_metacall (_o=_o@entry=0x1385a50, _id=_id@entry=9,

_a=_a@entry=0x7fff0c98eff0, _c=QMetaObject::InvokeMetaMethod) at

/usr/src/debug/qgis-2.2.0/src/app/ogr/moc_qgsopenvectorlayerdialog.cxx:92

        _t = 0x1385a50

#50 0x00000000007ef7d3 in qt_static_metacall (_a=0x7fff0c98eff0, _id=9, _c=QMetaObject::InvokeMetaMethod, _o=0x1385a50) at

/usr/src/debug/qgis-2.2.0/src/app/ogr/moc_qgsopenvectorlayerdialog.cxx:140

No locals.

#51 QgsOpenVectorLayerDialog::qt_metacall (this=0x1385a50, _c=QMetaObject::InvokeMetaMethod, _id=9, _a=0x7fff0c98eff0) at

/usr/src/debug/qgis-2.2.0/src/app/ogr/moc_qgsopenvectorlayerdialog.cxx:141

No locals.

#52 0x0000003f42f98f06 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /lib64/libQtCore.so.4

No symbol table info available.

#53 0x0000003687a4b0f2 in QAbstractButton::clicked(bool) () from /lib64/libQtGui.so.4

No symbol table info available.

#54 0x000000368778fac3 in QAbstractButtonPrivate::emitClicked() () from /lib64/libQtGui.so.4

No symbol table info available.

#55 0x0000003687790e77 in QAbstractButtonPrivate::click() () from /lib64/libQtGui.so.4

No symbol table info available.

#56 0x0000003687790f7c in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /lib64/libQtGui.so.4

No symbol table info available.

#57 0x000000368741cc58 in QWidget::event(QEvent*) () from /lib64/libQtGui.so.4

No symbol table info available.

#58 0x00000036873c9d8c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQtGui.so.4

No symbol table info available.

#59 0x00000036873d0879 in QApplication::notify(QObject*, QEvent*) () from /lib64/libQtGui.so.4

No symbol table info available.

#60 0x000000389d7e088b in QgsApplication::notify (this=0x7fff0c9914e0, receiver=0x4746d00, event=0x7fff0c98f580) at

/usr/src/debug/qgis-2.2.0/src/core/qgsapplication.cpp:230

        done = true

#61 0x0000003f42f8439d in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /lib64/libQtCore.so.4

No symbol table info available.
#62 0x00000036873cffa7 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /lib64/libQtGui.so.4

No symbol table info available.

#63 0x00000036874456ab in QETWidget::translateMouseEvent(_XEvent const*) () from /lib64/libQtGui.so.4

No symbol table info available.

#64 0x000000368744411c in QApplication::x11ProcessEvent(_XEvent*) () from /lib64/libQtGui.so.4

No symbol table info available.

#65 0x000000368746bb24 in x11EventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQtGui.so.4

No symbol table info available.

#66 0x0000003f260492a6 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0

No symbol table info available.

#67 0x0000003f26049628 in g_main_context_iterate.isra.24 () from /lib64/libglib-2.0.so.0

No symbol table info available.

#68 0x0000003f260496dc in g_main_context_iteration () from /lib64/libglib-2.0.so.0

No symbol table info available.

#69 0x0000003f42fb2ec6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4

No symbol table info available.

#70 0x000000368746bca6 in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtGui.so.4

No symbol table info available.

#71 0x0000003f42f82edf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4

No symbol table info available.

#72 0x0000003f42f8322d in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4

No symbol table info available.

#73 0x00000036878919cc in QDialog::exec() () from /lib64/libQtGui.so.4

No symbol table info available.

#74 0x0000000000523d2e in QgisApp::addVectorLayer (this=0x14ecc60) at /usr/src/debug/qgis-2.2.0/src/app/qgisapp.cpp:2474

        ovl = 0x1385a50

#75 0x00000000007e0bfa in QgisApp::qt_static_metacall (_o=0x14ecc60, _c=<optimized out>, _id=<optimized out>, _a=0x7fff0c98ff60) at

/usr/src/debug/qgis-2.2.0/src/app/moc_qgisapp.cxx:795

        _t = 0x14ecc60

#76 0x0000003f42f98cf8 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /lib64/libQtCore.so.4

No symbol table info available.

#77 0x00000036873c3782 in QAction::triggered(bool) () from /lib64/libQtGui.so.4

No symbol table info available.

#78 0x00000036873c5337 in QAction::activate(QAction::ActionEvent) () from /lib64/libQtGui.so.4

No symbol table info available.

#79 0x0000003687790e36 in QAbstractButtonPrivate::click() () from /lib64/libQtGui.so.4

No symbol table info available.

#80 0x0000003687790f7c in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /lib64/libQtGui.so.4

No symbol table info available.

#81 0x000000368785269a in QToolButton::mouseReleaseEvent(QMouseEvent*) () from /lib64/libQtGui.so.4

No symbol table info available.

#82 0x000000368741cc58 in QWidget::event(QEvent*) () from /lib64/libQtGui.so.4

No symbol table info available.

#83 0x00000036873c9d8c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQtGui.so.4

No symbol table info available.

#84 0x00000036873d0879 in QApplication::notify(QObject*, QEvent*) () from /lib64/libQtGui.so.4

No symbol table info available.

#85 0x000000389d7e088b in QgsApplication::notify (this=0x7fff0c9914e0, receiver=0x15849d0, event=0x7fff0c990500) at

/usr/src/debug/qgis-2.2.0/src/core/qgsapplication.cpp:230

        done = true

#86 0x0000003f42f8439d in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /lib64/libQtCore.so.4

No symbol table info available.
#87 0x00000036873cffa7 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /lib64/libQtGui.so.4

No symbol table info available.

#88 0x00000036874456ab in QETWidget::translateMouseEvent(_XEvent const*) () from /lib64/libQtGui.so.4

No symbol table info available.

#89 0x000000368744411c in QApplication::x11ProcessEvent(_XEvent*) () from /lib64/libQtGui.so.4

No symbol table info available.

#90 0x000000368746bb24 in x11EventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQtGui.so.4

No symbol table info available.

#91 0x0000003f260492a6 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0

No symbol table info available.

#92 0x0000003f26049628 in g_main_context_iterate.isra.24 () from /lib64/libglib-2.0.so.0

No symbol table info available.

#93 0x0000003f260496dc in g_main_context_iteration () from /lib64/libglib-2.0.so.0

No symbol table info available.

#94 0x0000003f42fb2ec6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4

No symbol table info available.

#95 0x000000368746bca6 in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtGui.so.4

No symbol table info available.

#96 0x0000003f42f82edf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4

No symbol table info available.

#97 0x0000003f42f8322d in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4

No symbol table info available.

#98 0x0000003f42f88749 in QCoreApplication::exec() () from /lib64/libQtCore.so.4

No symbol table info available.

#99 0x00000000004e4f83 in main (argc=1, argv=<optimized out>) at /usr/src/debug/qgis-2.2.0/src/app/main.cpp:998

        qgistor = <incomplete type>

        mySnapshotHeight = 600

        args = {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value = 6507}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d =

0x1327370}, d = 0x1327370}}, <No data fields>}

        myApp = {<QApplication> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x3687e9dec0

<QApplication::staticMetaObject>, stringdata = 0x389dab8720 <qt_meta_stringdata_QgsApplication> "QgsApplication", data = 0x389dab8780

<qt_meta_data_QgsApplication>, extradata = 0x389dd874c0 <QgsApplication::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData

= {objects = 0x0, static_metacall = 0x389da632f0 <QgsApplication::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}, static

mFileOpenEventReceiver20200 = 0x14ecc60, static mFileOpenEventList20200 = {<QList<QString>> = {{p = {static shared_null = {ref =

{_q_value = 6507}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0xd2d860}, d = 0xd2d860}}, <No data fields>}, static

mPrefixPath20200 = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11354}, alloc = 0, size = 0, data = 0xd2f65a, clean =

0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 325}, alloc = 0,

size = 0, data = 0x3f432ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, d = 0x14b4940, static codecForCStrings = 0x0}, static mPluginPath20200 = {static null = <same as static member of an already seen

type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen

type>, d = 0x14b3200, static codecForCStrings = 0x0}, static mPkgDataPath20200 = {static null = <same as static member of an already seen

type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen

type>, d = 0x14b3c30, static codecForCStrings = 0x0}, static mLibraryPath20200 = {static null = <same as static member of an already seen

type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen

type>, d = 0x14b4800, static codecForCStrings = 0x0}, static mLibexecPath20200 = {static null = <same as static member of an already seen

type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen

type>, d = 0x14b5690, static codecForCStrings = 0x0}, static mThemeName20200 = {static null = <same as static member of an already seen

type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen

type>, d = 0x158fca0, static codecForCStrings = 0x0}, static mDefaultSvgPaths20200 = {<QList<QString>> = {{p = {static shared_null = {ref =

{_q_value = 6507}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x14b5770}, d = 0x14b5770}}, <No data fields>}, static

mSystemEnvVars20200 = {{d = 0x0, e = 0x0}}, static mConfigPath20200 = {static null = {<No data fields>}, static shared_null = {ref = {_q_value =

11354}, alloc = 0, size = 0, data = 0xd2f65a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static
shared_empty = {ref = {_q_value = 325}, alloc = 0, size = 0, data = 0x3f432ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0,

righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x14b56e0, static codecForCStrings = 0x0}, static

mRunningFromBuildDir20200 = false, static mBuildSourcePath20200 = {static null = <same as static member of an already seen type>, static

shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d =

0x0, static codecForCStrings = 0x0}, static mBuildOutputPath20200 = {static null = <same as static member of an already seen type>, static

shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d =

0xd2f640, static codecForCStrings = 0x0}, static mGdalSkipList20200 = {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value =

6507}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x0}, d = 0x0}}, <No data fields>}}

        myLocaleOverrideFlag = <optimized out>

        mySnapshotFileName = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11354}, alloc = 0, size = 0, data = 0xd2f65a,

clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 325},

alloc = 0, size = 0, data = 0x3f432ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0,

reserved = 0, array = {0}}, d = 0x3f432ea8e0 <QString::shared_empty>, static codecForCStrings = 0x0}

        myHideSplash = <optimized out>

        myRestorePlugins = <optimized out>

        myTranslationCode = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11354}, alloc = 0, size = 0, data = 0xd2f65a,

clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 325},

alloc = 0, size = 0, data = 0x3f432ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0,

reserved = 0, array = {0}}, d = 0x14b7cf0, static codecForCStrings = 0x0}

        customizationfile = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11354}, alloc = 0, size = 0, data = 0xd2f65a, clean

= 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 325}, alloc =

0, size = 0, data = 0x3f432ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved =

0, array = {0}}, d = 0xd2f640, static codecForCStrings = 0x0}

        style = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11354}, alloc = 0, size = 0, data = 0xd2f65a, clean = 0,

simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 325}, alloc = 0, size

= 0, data = 0x3f432ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array

= {0}}, d = 0x14c9d80, static codecForCStrings = 0x0}

        qttor = <incomplete type>

        myPixmap = <incomplete type>

        myInitialExtent = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11354}, alloc = 0, size = 0, data = 0xd2f65a, clean =

0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 325}, alloc = 0,

size = 0, data = 0x3f432ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, d = 0x130c1a0, static codecForCStrings = 0x0}

        mySettings = <incomplete type>

        i18nPath = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11354}, alloc = 0, size = 0, data = 0xd2f65a, clean = 0,

simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 325}, alloc = 0, size

= 0, data = 0x3f432ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array

= {0}}, d = 0x137d210, static codecForCStrings = 0x0}

        myLocale = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11354}, alloc = 0, size = 0, data = 0xd2f65a, clean = 0,

simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 325}, alloc = 0, size

= 0, data = 0x3f432ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array

= {0}}, d = 0xd2f640, static codecForCStrings = 0x0}

        qgis = 0x14ecc60

        retval = <optimized out>

        optionpath = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11354}, alloc = 0, size = 0, data = 0xd2f65a, clean = 0,

simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 325}, alloc = 0, size

= 0, data = 0x3f432ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array

= {0}}, d = 0xd2f640, static codecForCStrings = 0x0}

        customizationsettings = <optimized out>

        systemEnvVars = {{d = 0x14b99b0, e = 0x14b99b0}}

        pythonfile = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11354}, alloc = 0, size = 0, data = 0xd2f65a, clean = 0,

simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 325}, alloc = 0, size

= 0, data = 0x3f432ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array
= {0}}, d = 0xd2f640, static codecForCStrings = 0x0}

        myUseGuiFlag = <optimized out>

        myUserLocale = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11354}, alloc = 0, size = 0, data = 0xd2f65a, clean =

0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 325}, alloc = 0,

size = 0, data = 0x3f432ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, d = 0x1450da0, static codecForCStrings = 0x0}

        mySplashPath = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11354}, alloc = 0, size = 0, data = 0xd2f65a, clean =

0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 325}, alloc = 0,

size = 0, data = 0x3f432ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, d = 0x14b6ef0, static codecForCStrings = 0x0}

        mySnapshotWidth = 800

        myCustomization = <optimized out>

        configpath = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11354}, alloc = 0, size = 0, data = 0xd2f65a, clean = 0,

simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 325}, alloc = 0, size

= 0, data = 0x3f432ea8fa <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array

= {0}}, d = 0xd2f640, static codecForCStrings = 0x0}

        useCustomVars = <optimized out>

        mypSplash = 0x140e380

gdb returned 0

Aborted

#3 - 2014-04-03 02:14 AM - Matthias Kuhn

Just guessing:

Is it possible that the file chooser dialog is trying to connect to a mysql database which is unreachable and waits for a timeout?

#4 - 2014-04-04 05:26 PM - Timothy Rogers

Not unless that is some sort of default...  This is a clean install on a new machine with a new user profile.

"File" is definitely selected as the "Source Type".

#5 - 2014-06-11 09:17 AM - Jürgen Fischer

- Priority changed from Severe/Regression to Normal

Timothy Rogers wrote:

Not unless that is some sort of default...  This is a clean install on a new machine with a new user profile.

"File" is definitely selected as the "Source Type".

Apparently the file chooser uses GTK/Gnome on your machine and that somehow needs to load mysql for some reason (maybe some plugin in

GTK/Gnome).  But that's not related to QGIS.

#6 - 2014-06-24 05:08 AM - Paolo Cavallini

- Category set to Vectors
#7 - 2014-07-28 11:52 AM - Matthias Kuhn

- Status changed from Feedback to Closed

Seems to be an isolated issue, not related to QGIS.

Please open an issue for gnome if this error still occurs.
